कोणीय 7 बीटा के लिए कोणीय 6 अपग्रेड करना

वोट
6

मैं कोणीय 6. के साथ इस परियोजना मौजूदा है मैं चाहता हूँ यह संस्करण 7 बीटा में अपग्रेड होने की है, अगर यह संभव है, आइवी दाता के साथ सक्षम होना चाहिए।

इसे सही ढंग से करने के लिए क्या कदम उठाएँ?

14/09/2018 को 09:00
उपयोगकर्ता
अन्य भाषाओं में...                            


1 जवाब

वोट
8

ठीक है, इसलिए कोई भी मदद की, मैं समाधान मैं अपने आप को पाया लिखेंगे।

  1. (वैकल्पिक) आप NVM का उपयोग करते हैं, तो आप पहली जगह में नवीनतम Node.js स्थापित करें और उसे करने के लिए स्विच, संभव समस्याओं से बचने के लिए कर सकते हैं
  2. परियोजना में संस्करण 7 में बीटा कोणीय / CLI स्थापित करें, विश्व स्तर पर और स्थानीय स्तर पर
  3. package.json में ^ 7.0.0-beta.5 के साथ अपने कोणीय (जैसे 6.1.7) के वर्तमान संस्करण वाली सभी आवृत्तियां प्रतिस्थापित
  4. NPM स्थापित
  5. देखते हैं, तो समस्याओं node_modules हटा सकते हैं और NPM पुन: प्रयास करें स्थापित करें

आप सुनिश्चित हो करना चाहते हैं, कि अपने अन्य संकुल नवीनतम संस्करण में हैं, आप खाली कोणीय 7 आवेदन कहीं और बीटा कोणीय / CLI के साथ स्थापित करने और जांच क्या package.json में बदल सकते हैं। दुर्भाग्य से कोणीय टीम कोणीय के वांछित संस्करण को स्थापित करने के लिए एक उपकरण प्रदान नहीं करता है, लेकिन बीटा CLI डिफ़ॉल्ट रूप से कोणीय स्थापित करता है 7।

आइवी रेंडरर के लिए के रूप में यह कोणीय 7 बीटा में डिफ़ॉल्ट नहीं है। मैं इसे मैन्युअल रूप से सक्षम करने के लिए करने की कोशिश की और यह काम नहीं किया। ऐसा लगता है इस परियोजना के एक बहुत अधिक काम करने की जरूरत अभी तक समाप्त होना है और वहाँ इंटरनेट पर कम जानकारी कैसे ठीक उन्नत परियोजना में उपयोग करने के लिए (वहाँ केवल खाली परियोजनाओं के लिए कुछ बहुत ही सरल ट्यूटोरियल हैं)।

आइवी रेंडरर स्थिति: https://is-angular-ivy-ready.firebaseapp.com/#/status https://github.com/angular/angular/blob/master/packages/core/src/render3/STATUS.md

आइवी रेंडरर ट्यूटोरियल: https://blog.imaginea.com/ivy-a-look-at-the-new-render-engine-for-angular/

20/09/2018 को 09:05
का स्रोत उपयोगकर्ता

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more